from .ewilan.general_sanity import *

from .ewilan.rig_sanity import *

from .ewilan.gpmat_sanity import *

from .ewilan.layoutBG_sanity import *

from .ewilan.post_anim_sanity import *

departments = {'EWI_2D_RIG_CH': [
                                SC_KITSU_CONNECTED,
                                SC_CONFIRM_ASSET_NAME,
                                SC_SCENE_UNIT_SCALE,
                                SC_CAMERA_SETTINGS,
                                SC_COL_GP,
                                SC_COL_RIG,
                                SC_FIND_RIG_MASTER,
                                SC_COL_ASSETS,
                                SC_COL_RIG_NAMING,
                                SC_COL_RIG_COLOR,
                                SC_MASTER_PROPERTIES,
                                SC_FIND_RIG_GLOBAL,
                                SC_SCENE_COL_OBJECTS,
                                SC_UNUSED_OBJECTS,
                                SC_RIG_OBJECT_NAMING,
                                SC_RIG_OBJECT_PARENTING,
                                SC_RIG_OBJECT_SETTINGS,
                                SC_RIG_OBJECT_VERTEX_GROUPS,
                                SC_RIG_OBJECT_CONSTRAINT_TARGET,
                                SC_RIG_CHILD_OF_INVERSE,
                                SC_RIG_ARMATURE_SETTINGS,
                                SC_RIG_ARMATURE_OLD_IK,
                                SC_RIG_GP_SETTINGS,
                                SC_RIG_GP_NAME,
                                SC_RIG_GPLAYER,
                                SC_RIG_GPLAYER_PREFIX,
                                SC_RIG_GPLAYER_USE_LIGHT,
                                SC_RIG_GPLAYER_ROUGH,
                                SC_RIG_GPLAYER_ROUGH_EMPTY,
                                SC_RIG_GP_MATERIALS,
                                SC_RIG_GP_MASKS,
                                SC_RIG_GP_MODIFIERS,
                                SC_RIG_TEMP_GUIDE_LAYER,
                                SC_RIG_GUIDE_MATERIAL,
                                SC_VALID_DRIVERS,
                                SC_VALID_FCURVES,
                                SC_GPENCIL_ORIENTATION,
                                SC_RIG_GPENCIL_CONSTANT_KF,
                                SC_RIG_GPENCIL_MAX_Y,
                                SC_RIG_GPENCIL_SCALE,
                                SC_GPENCIL_Y_ON_POINTS,
                                SC_GPENCIL_NO_MATERIAL_STROKE,
                                SC_GPENCIL_2_POINTS_STROKE,
                                SC_RIG_OBJECT_NO_ANIMDATA,
                                SC_RIG_ZERO_KEYFRAME,
                                SC_RIG_ASSET_GIF,
                                SC_RIG_CH_ASSET_CATALOG,
                                SC_RIG_ASSET_MC_KF_ENFORCEMENT,
                                SC_RIG_ASSET_INVALID_EMPTY,
                                SC_RIG_UNCLOSED_GP_STROKE,
                                SC_RIG_DELTA_TRANSFORMS,
                                SC_NO_VERTEX_COLOR,
                                SC_RIG_ACTION_NAME,
                                SC_RIG_LATERALIZED_OBJS,
                                SC_RIG_LAT_MATERIAL_LIST,
                                SC_RIG_ASSET_ROOT,
                                SC_RIG_PALETTE_NAMING
                                ],
                'EWI_GPMAT': [SC_KITSU_CONNECTED,
                              SC_CONFIRM_ASSET_NAME,
                              SC_FIND_GPMAT_OBJECT,
                              SC_GPMAT_EMPTY,
                              SC_GPMAT_PREFIX,
                              SC_GPMAT_SETTINGS,
                              SC_GPMAT_NAMING,
                              SC_NO_VERTEX_COLOR
                              ],
                'EWI_LAYOUT-BG': [SC_KITSU_CONNECTED,
                              SC_SCENE_UNIT_SCALE,  
                              SC_OUTPUT_RES,  
                              SC_CONFIRM_LAYOUT_SHOT,
                              SC_CAMERA_DATANAME,
                              SC_CAMERA_SETTINGS,
                              SC_SCN_BUILD,
                              SC_CAMS_FOR_SHOTS,
                              SC_SCNS_FOR_SHOTS,
                              SC_OBJ_NO_ANIM,
                              SC_CAMS_ROTATION,
                              SC_SCN_LENGTH,
                              SC_COL_CAM,
                              SC_CAM_OBJS,
                              SC_OBJ_NAMING,
                              SC_DOF_GP_MODIFIER,
                              SC_BG_MATERIALS_BLENDING
                              ],
                'EWI_POST-ANIM': [
                              SC_CAMS_ROTATION,
                              SC_ANIM_GP_MASKS,
                              SC_ANIM_BG_TEXTURES,
                              SC_ANIM_IVANE_MODS
                              ]
                }